Subject: Fwd: New Submission from Contact Form
From: Release Concierge <[email-masked]>
To: release <[email-masked]>
Date: Wed, 1 Mar 2023 10:13:29 -0500

---------- Forwarded message ---------
From: Release Well-Being Center <[email-masked]>
Date: Wed, Mar 1, 2023 at 10:05 AM
Subject: New Submission from Contact Form
To: <[email-masked]>

*Name*
  Gina Muscatell
*Email*
  [email-masked]
*Phone*
  (508) 476-9854
*Comments*
  I am trying to book a mini release day. The 60 minute one for two people.

Gina Muscatell and Willow Windoloski

We both would like signature massages with a female. We would like to begin
with the dry services and end with the steam and mineral bath.

Do you have anything available for this weekend? I am sorry I had to hang
up earlier. I couldn’t hear you. Thank you,

Gina Muscatell